net/libsoup - The NetBSD Packages Collection

HTTP library implementation in C

Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

Features:
  * Completely Asynchronous
  * Connection cache
  * HTTP chunked transfer support
  * HTTP, SOCKS4, and SOCKS5 authenticated proxy support
  * SSL Support using OpenSSL or GnuTLS
  * Client support for Digest, NTLM, and Basic authentication
  * HTTP server
  * Server support for Digest and Basic authentication

Build dependencies

devel/gobject-introspection devel/gobject-introspection pkgtools/cwrappers devel/gobject-introspection devel/glib2-tools devel/meson lang/python38 devel/pkgconf

Runtime dependencies

net/glib-networking archivers/brotli devel/glib2 devel/glib2 textproc/libxml2 www/libpsl devel/glib2 textproc/libxml2 www/libpsl

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibsoup-2.70.0nb3.tgz
NetBSD 8.0earmv7hflibsoup-2.70.0nb2.tgz
NetBSD 8.0earmv7hflibsoup-2.70.0nb3.tgz
NetBSD 8.0i386libsoup-2.70.0nb2.tgz
NetBSD 8.0i386libsoup-2.70.0nb3.tgz
NetBSD 8.0powerpclibsoup-2.70.0nb2.tgz
NetBSD 8.0powerpclibsoup-2.70.0nb3.tgz
NetBSD 8.0powerpclibsoup-2.70.0nb3.tgz
NetBSD 8.0x86_64libsoup-2.70.0nb2.tgz
NetBSD 8.0x86_64libsoup-2.70.0nb3.tgz
NetBSD 9.0aarch64libsoup-2.70.0nb3.tgz
NetBSD 9.0aarch64libsoup-2.70.0nb2.tgz
NetBSD 9.0aarch64libsoup-2.70.0nb3.tgz
NetBSD 9.0alphalibsoup-2.70.0nb3.tgz
NetBSD 9.0alphalibsoup-2.70.0nb2.tgz
NetBSD 9.0alphalibsoup-2.70.0nb3.tgz
NetBSD 9.0earmlibsoup-2.70.0nb2.tgz
NetBSD 9.0earmlibsoup-2.70.0nb3.tgz
NetBSD 9.0earmlibsoup-2.70.0nb3.tgz
NetBSD 9.0earmv6hflibsoup-2.70.0nb3.tgz
NetBSD 9.0earmv6hflibsoup-2.70.0nb2.tgz
NetBSD 9.0earmv6hflibsoup-2.70.0nb3.tgz
NetBSD 9.0earmv6hflibsoup-2.70.0nb3.tgz
NetBSD 9.0earmv7hflibsoup-2.70.0nb3.tgz
NetBSD 9.0earmv7hflibsoup-2.70.0nb2.tgz
NetBSD 9.0earmv7hflibsoup-2.70.0nb3.tgz
NetBSD 9.0earmv7hflibsoup-2.70.0nb3.tgz
NetBSD 9.0i386libsoup-2.70.0nb2.tgz
NetBSD 9.0i386libsoup-2.70.0nb3.tgz
NetBSD 9.0m68klibsoup-2.70.0nb3.tgz
NetBSD 9.0m68klibsoup-2.70.0nb2.tgz
NetBSD 9.0m68klibsoup-2.70.0nb3.tgz
NetBSD 9.0mips64eblibsoup-2.70.0nb3.tgz
NetBSD 9.0mips64eblibsoup-2.70.0nb2.tgz
NetBSD 9.0mips64eblibsoup-2.70.0nb3.tgz
NetBSD 9.0powerpclibsoup-2.70.0nb3.tgz
NetBSD 9.0powerpclibsoup-2.70.0nb2.tgz
NetBSD 9.0sh3ellibsoup-2.70.0nb2.tgz
NetBSD 9.0sh3ellibsoup-2.70.0nb3.tgz
NetBSD 9.0sh3ellibsoup-2.70.0nb3.tgz
NetBSD 9.0sparc64libsoup-2.70.0nb3.tgz
NetBSD 9.0sparc64libsoup-2.70.0nb2.tgz
NetBSD 9.0sparc64libsoup-2.70.0nb2.tgz
NetBSD 9.0sparc64libsoup-2.70.0nb3.tgz
NetBSD 9.0sparclibsoup-2.70.0nb3.tgz
NetBSD 9.0sparclibsoup-2.70.0nb2.tgz
NetBSD 9.0sparclibsoup-2.70.0nb3.tgz
NetBSD 9.0x86_64libsoup-2.70.0nb3.tgz
NetBSD 9.0x86_64libsoup-2.70.0nb3.tgz
NetBSD 9.0x86_64libsoup-2.70.0nb3.tgz
NetBSD 9.0x86_64libsoup-2.70.0nb2.tgz
NetBSD 9.0x86_64libsoup-2.70.0nb3.tgz
NetBSD 9.0x86_64libsoup-2.70.0nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

gssapi
Enable gssapi (Kerberos V) support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.